0

we have linux rhel server

uname -r
3.10.0-862.el7.x86_64

more /etc/redhat-release
Red Hat Enterprise Linux Server release 7.5 (Maipo)

from the dmesg we see the following

dmesg | grep "The driver for the device detected"
[    3.142303] i40e 0000:05:00.0: The driver for the device detected a newer version of the NVM image than expected. Please install the most recent version of the network driver.
[    3.483157] i40e 0000:05:00.1: The driver for the device detected a newer version of the NVM image than expected. Please install the most recent version of the network driver.
[    3.777228] i40e 0000:05:00.2: The driver for the device detected a newer version of the NVM image than expected. Please install the most recent version of the network driver.
[    4.031402] i40e 0000:05:00.3: The driver for the device detected a newer version of the NVM image than expected. Please install the most recent version of the network driver.



[    4.017949] i40e 0000:05:00.2: PCI-Express: Speed 8.0GT/s Width x8
[    4.018367] i40e 0000:05:00.2: Features: PF-id[2] VFs: 32 VSIs: 34 QP: 32 RSS FD_ATR FD_SB NTUPLE VxLAN Geneve PTP VEPA
[    4.031399] i40e 0000:05:00.3: fw 7.81.51051 api 1.8 nvm 7.10 0x800051a6 19.0.12
[    4.031402] i40e 0000:05:00.3: The driver for the device detected a newer version of the NVM image than expected. Please install the most recent version of the network driver.
[    4.261774] i40e 0000:05:00.3: MAC address: 2c:bd:fe:1f:60:a1

ethtool:

ethtool -i papa1
driver: i40e
version: 2.1.14-k
firmware-version: 7.10 0x800051a6 19.0.12
expansion-rom-version:
bus-info: 0000:05:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

lshw

lshw -class network -short
H/W path             Device      Class          Description
===========================================================
/0/100/3/0                      network        NetXtreme BCM5720 Gigabit Ethernet PCIe
/0/100/3/0.1                     network        NetXtreme BCM5720 Gigabit Ethernet PCIe
/0/100/3.1/0                     network        NetXtreme BCM5720 Gigabit Ethernet PCIe
/0/100/3.1/0.1                   network        NetXtreme BCM5720 Gigabit Ethernet PCIe
/0/100/3.2/0                     network        Ethernet Controller X710 for 10GbE SFP+
/0/100/3.2/0.1                   network        Ethernet Controller X710 for 10GbE SFP+
/0/100/3.2/0.2                   network        Ethernet Controller X710 for 10GbE SFP+
/0/100/3.2/0.3                   network        Ethernet Controller X710 for 10GbE SFP+
/3                               network        Ethernet interface
/4                   virbr0-nic  network        Ethernet interface
/5                   virbr0      network        Ethernet interface

is it means that we need to upgrade new kernel version?

if yes to which version?

additionally we see the following message from kernel

[    1.017375] pci 0000:03:00.0: can't claim BAR 6 [mem 0xfff00000-0xffffffff pref]: no compatible bridge window
[    1.017378] pci 0000:02:00.0: can't claim BAR 6 [mem 0xfffc0000-0xffffffff pref]: no compatible bridge window
[    1.017381] pci 0000:02:00.1: can't claim BAR 6 [mem 0xfffc0000-0xffffffff pref]: no compatible bridge window
[    1.017383] pci 0000:01:00.0: can't claim BAR 6 [mem 0xfffc0000-0xffffffff pref]: no compatible bridge window
[    1.017385] pci 0000:01:00.1: can't claim BAR 6 [mem 0xfffc0000-0xffffffff pref]: no compatible bridge window
[    1.017387] pci 0000:05:00.0: can't claim BAR 6 [mem 0xfff80000-0xffffffff pref]: no compatible bridge window
[    1.017390] pci 0000:05:00.1: can't claim BAR 6 [mem 0xfff80000-0xffffffff pref]: no compatible bridge window
[    1.017392] pci 0000:05:00.2: can't claim BAR 6 [mem 0xfff80000-0xffffffff pref]: no compatible bridge window
[    1.017394] pci 0000:05:00.3: can't claim BAR 6 [mem 0xfff80000-0xffffffff pref]: no compatible bridge window


dmesg --level=err
[    2.632067] i8042: No controller found
[    3.108100] megaraid_sas 0000:03:00.0: Init cmd return status SUCCESS for SCSI host 0
3
  • Is this for an X710? May 18, 2020 at 15:30
  • mmmm .. not sure , is it possible to identify this from some Linux command ?
    – yael
    May 18, 2020 at 15:31
  • see the update with lshw -class network -short
    – yael
    May 18, 2020 at 15:35

1 Answer 1

1

As you mentioned in a comment, the warning about the NVM version can probably be ignored. However, since the server has an X710 NIC, you should consider upgrading to at least version 3.10.0-1112.el7 of the kernel; see the RHEL 7 kernel changelog for details.

12
  • thank you so much , may I ask you where to search in the doc , I not found the line that mentioned upgrade kernel to 3.10.0-1112 , in case of using X710 NIC
    – yael
    May 18, 2020 at 15:45
  • Search for X710. May 18, 2020 at 15:50
  • do you mean that ? "- [netdrv] i40e: Add support for X710 device (Stefan Assmann) [1711843]"
    – yael
    May 18, 2020 at 15:51
  • That’s exactly it, yes. May 18, 2020 at 15:52
  • ( first +1 , for your great support ) I am very confuse because the case from redhat - access.redhat.com/solutions/2199681 , they recommended to ignore such this cases
    – yael
    May 18, 2020 at 15:55

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .